#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N,K,i,j,l,o,r=0;
    scanf("%d %d",&N,&K);

    int *M = (int *) calloc(N*N,sizeof(int));

    for(i=0;i<N;i++){
        for(j=0;j<N;j++){
            scanf("%d",(M+i*N+j));
        }
    }
    for(o=0;o<K;o++){
            l = 0;
        for(i=0;i<N;i++){
            for(j=0;j<N;j++){
                if(*(M+i*N+j)==o)
                    l++;
            }
        }
        if(l==1)
            r++;
    }

    printf("%d",r);
    return 0;
}